diff --git a/pimd/pim_nb_config.c b/pimd/pim_nb_config.c
index ba044de2f84..ce5db59942d 100644
--- a/pimd/pim_nb_config.c
+++ b/pimd/pim_nb_config.c
@@ -553,6 +553,7 @@ static int pim_cmd_igmp_start(struct interface *ifp)
 			need_startup = 1;
 		}
 	}
+	pim_if_create_pimreg(ifp);
 
 	/* 'ip igmp' executed multiple times, with need_startup
 	 * avoid multiple if add all and membership refresh
